package com.da.dangan.service;

import com.da.dangan.domain.AreaSort;

import java.util.List;

/**
 * 档案行政分类Service接口
 * 
 * @author hs
 * @date 2024-05-11
 */
public interface IAreaSortService 
{
    /**
     * 查询档案行政分类
     * 
     * @param id 档案行政分类主键
     * @return 档案行政分类
     */
    public AreaSort selectAreaSortById(Long id);

    /**
     * 查询档案行政分类列表
     * 
     * @param areaSort 档案行政分类
     * @return 档案行政分类集合
     */
    public List<AreaSort> selectAreaSortList(AreaSort areaSort);

    /**
     * 新增档案行政分类
     * 
     * @param areaSort 档案行政分类
     * @return 结果
     */
    public int insertAreaSort(AreaSort areaSort);

    /**
     * 修改档案行政分类
     * 
     * @param areaSort 档案行政分类
     * @return 结果
     */
    public int updateAreaSort(AreaSort areaSort);

    /**
     * 批量删除档案行政分类
     * 
     * @param ids 需要删除的档案行政分类主键集合
     * @return 结果
     */
    public int deleteAreaSortByIds(Long[] ids);

    /**
     * 删除档案行政分类信息
     * 
     * @param id 档案行政分类主键
     * @return 结果
     */
    public int deleteAreaSortById(Long id);
}
